Registration
Update user
Update a user.
URL: PUT /api/v1/auth/users/<user_id>
PUT
/
api
/
v1
/
auth
/
register
Update user
curl --request PUT \
--url https://api.diginacape.co.ke/acl/api/v1/auth/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone_number": "<string>",
"employee_number": "<string>",
"department": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"section": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roles": [
"<string>"
],
"realm": "capemedia"
}
'import requests
url = "https://api.diginacape.co.ke/acl/api/v1/auth/register"
payload = {
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone_number": "<string>",
"employee_number": "<string>",
"department": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"section": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roles": ["<string>"],
"realm": "capemedia"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
first_name: '<string>',
last_name: '<string>',
country_code: '<string>',
phone_number: '<string>',
employee_number: '<string>',
department: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
section: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
roles: ['<string>'],
realm: 'capemedia'
})
};
fetch('https://api.diginacape.co.ke/acl/api/v1/auth/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone_number": "<string>",
"employee_number": "<string>",
"department": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"section": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roles": [
"<string>"
],
"realm": "capemedia"
}Authorizations
Enter your JWT token in the format: Bearer
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Serializer for user registration.
Creates User + UserProfile in Django, then syncs to Keycloak.
Minimum string length:
1Required string length:
1 - 150Required string length:
1 - 150Required string length:
1 - 3Required string length:
1 - 50Required string length:
1 - 100MALE- MaleFEMALE- Female
Available options:
MALE, FEMALE Minimum string length:
1Minimum string length:
1Response
200 - application/json
Serializer for user registration.
Creates User + UserProfile in Django, then syncs to Keycloak.
Maximum string length:
150Maximum string length:
150Maximum string length:
3Maximum string length:
50Maximum string length:
100MALE- MaleFEMALE- Female
Available options:
MALE, FEMALE ⌘I
Update user
